This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472085 - (perl-HTML-Tiny) Review Request: perl-HTML-Tiny - Lightweight, dependency free HTML/XML generation
Review Request: perl-HTML-Tiny - Lightweight, dependency free HTML/XML genera...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 11:58 EST by Iain Arnell
Modified: 2013-04-24 08:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-18 11:58:49 EST
Spec URL: http://iarnell.fedorapeople.org/perl-HTML-Tiny.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-HTML-Tiny-1.03-1.fc9.src.rpm
Description: 
HTML::Tiny is a simple, dependency free module for generating HTML (and
XML). It concentrates on generating syntactically correct XHTML using a
simple Perl notation.

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.
Comment 1 Chris Weyl 2008-11-18 23:01:19 EST
There is an examples/ directory; why not include it in %doc?

http://koji.fedoraproject.org/koji/taskinfo?taskID=939263

Spec looks sane, clean and consistent; license is correct (perl); make test
passes cleanly.

ce178f7dabb15930512fdbfe21d4edcb  HTML-Tiny-1.03.tar.gz
ce178f7dabb15930512fdbfe21d4edcb  HTML-Tiny-1.03.tar.gz.srpm

=====> perl-HTML-Tiny-1.03-1.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-HTML-Tiny-1.03-1.fc9.noarch.rpm
perl(HTML::Tiny) = 1.03
perl-HTML-Tiny = 1.03-1.fc9
====> requires for perl-HTML-Tiny-1.03-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(strict)  
perl(vars)  

APPROVED
Comment 2 Iain Arnell 2008-11-19 00:06:36 EST
New Package CVS Request
=======================
Package Name: perl-HTML-Tiny
Short Description: Lightweight, dependency free HTML/XML generation
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-11-22 23:06:16 EST
cvs done.
Comment 4 Fedora Update System 2008-11-23 02:42:31 EST
perl-HTML-Tiny-1.03-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-Tiny-1.03-1.fc10
Comment 5 Fedora Update System 2008-11-23 02:42:34 EST
perl-HTML-Tiny-1.03-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTML-Tiny-1.03-1.fc9
Comment 6 Fedora Update System 2008-11-26 01:10:15 EST
perl-HTML-Tiny-1.03-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-26 01:10:39 EST
perl-HTML-Tiny-1.03-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jonathan Underwood 2013-04-23 11:46:11 EDT
Package Change Request
======================
Package Name: perl-HTML-Tiny
New Branches: el6
Owners: jgu
Comment 9 Gwyn Ciesla 2013-04-23 12:00:50 EDT
Has the Fedora maintainer OKd this?
Comment 10 Jonathan Underwood 2013-04-23 12:08:06 EDT
Nope. Wasn't aware this was a requirement. Don't see why it would be.
Comment 11 Jonathan Underwood 2013-04-23 12:10:55 EDT
For the benefit of the Fedora maintainer - this package builds and works fine on el6 as is (checked under mock) with no changes. If you're willing to branch for el6 and push a build, great. Otherwise I'd like to.
Comment 12 Jonathan Underwood 2013-04-24 06:41:21 EDT
BZ filed asking maintainer to branch and build for EL6, or otherwise indicate he's happy for me to do so here: BZ #956138

But really, this is ridiculous bureacracy - if the maintainer had been interested in branching for EL6 himself, he would have done so by this point. And, no maintainer should be able to block abnother maintainer creating a branch. So what is the point of you (Jon Cisela) cancelling the CVS request - I am really unimpressed by this.
Comment 13 Paul Howarth 2013-04-24 07:01:44 EDT
(In reply to comment #12)
> BZ filed asking maintainer to branch and build for EL6, or otherwise
> indicate he's happy for me to do so here: BZ #956138
> 
> But really, this is ridiculous bureacracy - if the maintainer had been
> interested in branching for EL6 himself, he would have done so by this
> point. And, no maintainer should be able to block abnother maintainer
> creating a branch. So what is the point of you (Jon Cisela) cancelling the
> CVS request - I am really unimpressed by this.

It's the documented procedure (and common courtesy):

https://fedoraproject.org/wiki/EPEL_Package_Maintainers#Joining_the_EPEL_Package_Maintainers

"If you are an existing EPEL/Fedora maintainer and wish to maintain a package in EPEL that someone else maintains in Fedora, file a bug asking them if they would like to maintain it in EPEL, if no response in a week or if the Fedora maintainer has no interested in EPEL, request the branch yourself and maintain it."
Comment 14 Iain Arnell 2013-04-24 07:15:52 EDT
Package Change Request
======================
Package Name: perl-HTML-Tiny
New Branches: el6
Owners: jgu

I've no objection to Jonathan maintaining this in EPEL
Comment 15 Gwyn Ciesla 2013-04-24 08:03:38 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.